#include <QApplication>
#include "blockeditor.h"


int main(int argc, char * argv[]) {
	QApplication a(argc, argv);
#if QT_VERSION >= 0x050000
	a.setAttribute(Qt::AA_UseHighDpiPixmaps, true);
#endif
	a.setWindowIcon(QIcon(":/icons/blockview.png"));
	BlockEditor w;
	if (a.arguments().size() > 1)
		w.loadFile(a.arguments().back());
	w.show();
	return a.exec();
}
